-- phpMyAdmin SQL Dump
-- version 5.1.1deb5ubuntu1
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Erstellungszeit: 23. Mai 2023 um 14:48
-- Server-Version: 8.0.33-0ubuntu0.22.04.2
-- PHP-Version: 8.1.2-1ubuntu2.11

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `rtf_teilnehmer`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `tblFirma`
--

CREATE TABLE `tblFirma` (
  `FirmenNr` int NOT NULL,
  `FirmenName` varchar(255) COLLATE latin1_german1_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

--
-- Daten für Tabelle `tblFirma`
--

INSERT INTO `tblFirma` (`FirmenNr`, `FirmenName`) VALUES
(0, '-'),
(1, 'GEA'),
(2, 'Haver&Boecker'),
(4, 'S+Z');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `tblStrecke`
--

CREATE TABLE `tblStrecke` (
  `StreckenNr` int NOT NULL,
  `StreckenName` varchar(255) COLLATE latin1_german1_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

--
-- Daten für Tabelle `tblStrecke`
--

INSERT INTO `tblStrecke` (`StreckenNr`, `StreckenName`) VALUES
(0, '40 km'),
(1, '70 km'),
(2, '110 km'),
(3, '150 km');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `tblTeilnehmer`
--

CREATE TABLE `tblTeilnehmer` (
  `TNr` int NOT NULL,
  `TName` varchar(255) COLLATE latin1_german1_ci NOT NULL,
  `BDR` tinyint DEFAULT NULL,
  `VereinsNr` int NOT NULL,
  `FirmenNr` int NOT NULL,
  `StreckenNr` int NOT NULL,
  `Zurueck` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

--
-- Daten für Tabelle `tblTeilnehmer`
--

INSERT INTO `tblTeilnehmer` (`TNr`, `TName`, `BDR`, `VereinsNr`, `FirmenNr`, `StreckenNr`, `Zurueck`) VALUES
(1, 'Max Meier', 0, 5, 1, 0, 1),
(2, 'Hans Müller', 0, 0, 1, 2, 1),
(3, 'Peter Panter', 1, 63, 0, 1, 1),
(4, 'Neuer Name', 1, 1, 0, 3, 0),
(5, 'Herman Neumann', 1, 1, 1, 1, 0),
(6, 'Michael Hummer', 1, 2, 4, 2, 0),
(7, 'Stefan Merksmann', 1, 23, 0, 3, 0),
(8, 'Dirk Sindermann', 0, 0, 1, 3, 0),
(9, 'Markus Potthoff', 0, 0, 2, 3, 0),
(10, 'Hein Mümmel', 1, 17, 4, 2, 1),
(11, 'Frank Steinbrück', 0, 0, 4, 1, 0),
(12, 'Peter Lustig', 1, 173, 1, 2, 0),
(13, 'Toni Meier', 1, 1, 2, 2, 0),
(14, 'Klaus Schmidt', 1, 177, 1, 0, 0),
(15, 'Hugo Stefan', 1, 11, 0, 1, 0),
(16, 'Luis Potter', 0, 0, 4, 2, 0),
(17, 'Henry Holthaus', 0, 0, 4, 2, 0),
(18, 'Tom Bucholt', 1, 153, 0, 1, 0),
(19, 'Andreas Winter', 0, 0, 0, 0, 0),
(20, 'Helmut Kohl', 0, 0, 0, 0, 0),
(21, '', 0, 180, 0, 0, 0),
(22, 'Neuer Name', 1, 7, 0, 1, 0);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `tblVerein`
--

CREATE TABLE `tblVerein` (
  `VereinsNr` int NOT NULL,
  `VereinsName` varchar(255) COLLATE latin1_german1_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

--
-- Daten für Tabelle `tblVerein`
--

INSERT INTO `tblVerein` (`VereinsNr`, `VereinsName`) VALUES
(0, '-'),
(1, 'RSC Wadersloh e.V.'),
(2, 'SV Herzebrock e.V.'),
(3, 'RFV All-Heil Beckum e.V.'),
(4, 'RSV Schwalbe Oelde 1920 e.V.'),
(5, 'Scharz-Weiss Marienfeld 1930 e.V.'),
(6, 'RSG Harsewinkel 1992 e.V.'),
(7, 'RSF 67 Ahlen e.V.'),
(8, 'BSG Sparkasse Guetersloh e.V. - Radsport -'),
(9, 'RSG Warendorf-Freckenhorst e.V.'),
(10, 'Warendorfer SU 1972 e.V. - Radsport -'),
(11, 'RSC Rietberg 1992 e.V.'),
(12, 'RSF VfL Sassenberg e.V.'),
(13, 'Sportclub Fuechtorf v. 1946 e.V. - Radsport'),
(14, 'SC Lippstadt DJK - Radsport -'),
(15, 'RSV Hansa Soest e.V.'),
(16, 'Spvg 1900 Steinhagen e.V. Abtl. Radsport'),
(17, 'Radteam Hamm e.V.'),
(18, 'RC Amor Hamm e.V.'),
(19, 'RSC MSC Mastholte e.V.'),
(20, 'Radsportgemeinschaft Delbrueck e.V.'),
(21, 'TV Friesen Telgte e.V. - Radsport -'),
(22, 'Einradgemeinschaft Muensterland e.V.'),
(23, 'Polizei-SV Stukenbrock -Radsp.'),
(24, 'RV Teutonia 07 Aschendorf e.V.'),
(25, 'Radsportgemeinschaft Hoevelhof e.V.'),
(26, 'TSVE 1890 Bielefeld e.V.'),
(27, 'RC Zugvogel Bielefeld e.V.'),
(28, 'MSC Brake e.V. im ADAC'),
(29, 'RV Teutoburg Brackwede e.V.'),
(30, 'RC Sprintax Bielefeld'),
(31, 'TuS Leopoldshoehe e.V. - Abteilung BMX'),
(32, 'Rehasport Brake e.V. - Rannrad Team Allsports'),
(33, 'SV Herbern 1919 e.V.'),
(34, 'RSV Muenster v. 1895 e.V.'),
(35, 'Radclub Muenster e.V.'),
(36, 'Bike Team Baumberge'),
(37, 'RSV Schwalbe Augustdorf e.V.'),
(38, 'Radfuechse Bueren 1993 e.V.'),
(39, 'LRG Lenzinghausen e.V.'),
(40, 'FC Nordkirchen 1926 e.V. - Abt. Radsport'),
(41, 'SC Capelle \'71 e.V.'),
(42, 'RSC 79 Werne e.V.'),
(43, 'Rad-Treff Borchen e. V.'),
(44, 'RMC 1954 Schloss Neuhaus e.V.'),
(45, 'RSV Geseke e.V.'),
(46, 'RG Paderborn \'99 e.V.'),
(47, 'BMX-Club Racehawks Melle e. V'),
(48, 'SC Melle 03'),
(49, 'Cycling Team Unna e.V.'),
(50, 'RSV Unna 1968 e.V.'),
(51, 'RSG Teuto Antrup-Wechte e.V.'),
(52, 'RRG Osnabrueck e.V.'),
(53, 'RSC 77 Schwerte e.V.'),
(54, 'NSD Racing e. V.'),
(55, 'RSF Greven e.V.'),
(56, 'RC Victoria Neheim e.V.'),
(57, 'Spielvereinigung Gaste-Hasbergen 1930 e. V.'),
(58, 'Polizei SV Bork 1945 e.V. - Radsport -'),
(59, 'RSV Bergeslust Leeden e.V.'),
(60, 'Osnabruecker Sportclub v. 1849 e.V.'),
(61, 'SV Hellern v. 1924 e.V.'),
(62, 'RSV Wittekind Herford e.V.'),
(63, 'RC Endspurt Herford e.V.'),
(64, 'RSV Tempo Lieme e.V. 1904'),
(65, 'RC Olympia Buende e.V.'),
(66, 'RTC Kirchlengern e.V.'),
(67, 'RSC Krumme Speiche Sundern \'92'),
(68, 'SC Hagen-Wildewiese e.V.'),
(69, 'RC Sprinter Waltrop \'81 e.V.'),
(70, 'Marathon Ibbenbueren e.V. - Radsport -'),
(71, 'RuMC Sturm Hombruch 1925 e.V.'),
(72, 'RSV Dortmund-Nord 79 e.V.'),
(73, 'OSG Westfalen Dortmund'),
(74, 'TuS Westfalia Dortmund Soelde 1885/1911 e.V.'),
(75, 'ASC 09 Dortmund e.V. - Mountainbike'),
(76, 'RMC Dortmund 1993 e.V.'),
(77, 'ASC 09 Dortmund e.V.'),
(78, 'Interessen-Gemeinschaft Dortmunder Radsportvereine e.V.'),
(79, 'DJK Sportfreunde Duelmen e.V. - Radsport -'),
(80, 'THC Westerkappeln e.V. - Radsport -'),
(81, 'RSG Emsdetten 1983 e.V.'),
(82, 'Polizei-SV Iserlohn e.V.'),
(83, 'RC Pfeil 07 Iserlohn e.V.'),
(84, 'RSV Bad Oeynhausen e.V.'),
(85, 'TuS Neuenrade e.V. - Radsport -'),
(86, 'HaardBiker e.V.'),
(87, 'RadWerk Upland e.V.'),
(88, 'RRSV Falke Altena 1925 e.V.'),
(89, 'Alter TV Haltern - Radsport -'),
(90, 'SG Suderwich 1913 e.V. - Radsport -'),
(91, 'RSV Adler 03 Herten e.V.'),
(92, 'Zweirad SC Preussisch Oldendorf e.V.'),
(93, 'RSC Westfalia 1919 Niedermehnen e.V.'),
(94, 'RSV rad-net e.V.'),
(95, 'ATS Hohenlimburg-Nahmer 1879 e.V.'),
(96, 'Zee Aylienz - MTB Hagen'),
(97, 'RSC Hagen v. 1965 e.V.'),
(98, 'Paddel- und Radsportclub Emsstern 1933 e.V.'),
(99, 'TV Mesum 1950/91 e.V. - Radsport -'),
(100, 'Radsportklub Radz Fatz e.V.'),
(101, 'RSV Germania 07 Espelkamp e.V.'),
(102, 'PV Triathlon Witten e.V.'),
(103, 'RV Witten 1946 e.V.'),
(104, 'RSC Ruhr-Sued Witten e.V.'),
(105, 'Happy Trail Friends'),
(106, 'RSC Tretlager Ruhr e.V.'),
(107, 'Team Speiche Mountain Bike Racing Witten e.V.'),
(108, 'TuS 1913 Hembsen e.V. - Radsport -'),
(109, 'Ski-Club Siedlinghausen e.V.'),
(110, 'The Flying Circus - Bochum e. V.'),
(111, 'Radsportfreunde Bochum e.V.'),
(112, 'Mountainbike Club Bochum e.V.'),
(113, 'Sport Club Rieste v. 1920 e.V.'),
(114, 'DJK RS Grafschaft 1930 e.V.'),
(115, 'RSG Maerkisches Sauerland 88 e.V.'),
(116, 'TSV Krankenhagen e. V.'),
(117, 'VT Rinteln 1848 e.V.'),
(118, 'Tus Linscheid-Heedfeld e. V.'),
(119, 'RSV Friedenau Steinfurt 1962 e.V.'),
(120, 'Olympischer Sportclub Damme e. V.'),
(121, 'TSV 1910 Wetterburg e.V.'),
(122, 'TuS Bramsche e.V.'),
(123, 'TSV Saalhausen 1910 e.V.'),
(124, 'RC Buer/Westerholt e.V. 1982'),
(125, 'Ein-Rad-Club Dorsten e.V.'),
(126, 'RV 1896 Korbach e.V.'),
(127, 'SV Gescher e.V.'),
(128, 'Schwelmer Radsportclub 1983 e. V.'),
(129, 'Ski-Club Gevelsberg 1963 e.V.'),
(130, 'RSC Ochtrup \'93 e.V.'),
(131, 'TV 1900 Attendorn e.V.'),
(132, 'RSC Silschede e.V.'),
(133, 'RV Endspurt 08 Wuppertal e.V.'),
(134, 'SV Schwarz-Weiss Lembeck 1921 e.V.'),
(135, 'RSC Dorsten 1983 e.V.'),
(136, 'RSC Ennepetal e.V.'),
(137, 'Wassersport Hoexter e.V.'),
(138, 'RC Olympia Buer 1997 e.V.'),
(139, 'VfL Gladbeck 1921 e.V.'),
(140, 'WSV Beverungen e.V. - Abt. Radsport -'),
(141, 'TRIAL-Motorsport-Club Stadtlohn e.V.'),
(142, 'TuS Wagenfeld v. 1908 e.V.'),
(143, 'RSG Lohne-Vechta e.V.'),
(144, 'TV Westfalia 07 Epe e.V. - Radsport -'),
(145, 'Velo-Club Gronau 93 e.V.'),
(146, 'RV Sturmvogel Essen 1919 e.V.'),
(147, 'RRC Blitz Essen-Kray 1953 e.V.'),
(148, 'RSV Team-ME Mettmann e.V.'),
(149, 'Altenessen-Cycling e. V.'),
(150, 'RSC Essen-Kettwig e.V.'),
(151, 'SG Borken e.V. Abtl. Radsport'),
(152, 'Radsportfreunde Borken e.V.'),
(153, 'MTV v. 1849 Holzminden e.V.'),
(154, 'RC Gut Freund 1910 e.V. Wuppertal'),
(155, 'RSG 153 Wuppertal e.V.'),
(156, 'TuS Schwarz-Weiss Enzen e.V.'),
(157, 'DJK VfL Grafenwald - Abt. Einrad -'),
(158, 'RSC Krombach 88 e.V.'),
(159, 'RSF Velbert 1982 e.V.'),
(160, 'RV 1910 Huemme e.V. - Abt. Kunstradsport'),
(161, 'RSC 1981 Frankenberg e.V.'),
(162, 'Radsportgemeinschaft Buchenau e.V.'),
(163, 'RV Adler Luettringhausen 1952 e.V.'),
(164, 'ESV Lingen e.V.'),
(165, 'VfL von 1861 e.V. Gummersbach'),
(166, 'Turn- und Sportverein Jahn 1891/07 e.V. Calden'),
(167, 'RC Sturmvogel v. 1898 e.V. Muelheim/Ruhr'),
(168, 'Gymnastik-Club Nendorf / Umgebung e.V von 1965'),
(169, 'DJK Adler 07 Bottrop e.V.'),
(170, 'RSV Viktoria Schmarrie e.V.'),
(171, 'Niederbergischer Fahrrad-Club Heiligenhaus e.V.'),
(172, 'SV Victoria Lauenau von 1921 e.V.'),
(173, 'TV Rhede 1925 e.V. - Radsport -'),
(174, 'Radsportverein Rhede 2005 e.V.'),
(175, 'Radsportclub Weimar-Ahnatal e.V.'),
(176, 'RSV Wanderlust 1911 Ernsthausen e.V.'),
(177, 'SSV Sand 1910 e. V.'),
(180, 'RSV Humbug');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `tblVoranmeldungGEA`
--

CREATE TABLE `tblVoranmeldungGEA` (
  `Name` varchar(255) COLLATE latin1_german1_ci NOT NULL,
  `Erschienen` tinyint NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

--
-- Daten für Tabelle `tblVoranmeldungGEA`
--

INSERT INTO `tblVoranmeldungGEA` (`Name`, `Erschienen`) VALUES
('Peter Grossmann', 0),
('Max Mustermann', 0),
('Gerd Böckamp', 0);

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `tblFirma`
--
ALTER TABLE `tblFirma`
  ADD PRIMARY KEY (`FirmenNr`);

--
-- Indizes für die Tabelle `tblStrecke`
--
ALTER TABLE `tblStrecke`
  ADD PRIMARY KEY (`StreckenNr`);

--
-- Indizes für die Tabelle `tblTeilnehmer`
--
ALTER TABLE `tblTeilnehmer`
  ADD PRIMARY KEY (`TNr`),
  ADD KEY `VereinsNr` (`VereinsNr`),
  ADD KEY `FirmenNr` (`FirmenNr`);

--
-- Indizes für die Tabelle `tblVerein`
--
ALTER TABLE `tblVerein`
  ADD PRIMARY KEY (`VereinsNr`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `tblFirma`
--
ALTER TABLE `tblFirma`
  MODIFY `FirmenNr` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT für Tabelle `tblStrecke`
--
ALTER TABLE `tblStrecke`
  MODIFY `StreckenNr` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT für Tabelle `tblTeilnehmer`
--
ALTER TABLE `tblTeilnehmer`
  MODIFY `TNr` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;

--
-- AUTO_INCREMENT für Tabelle `tblVerein`
--
ALTER TABLE `tblVerein`
  MODIFY `VereinsNr` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=181;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
